W1SENSORS(1)

NAME
w1sensors - Convert w1find output to w1retap configuration (text or SQL)

SYNOPSIS

w1sensors [OPTIONS] [FILE]

DESCRIPTION

w1sensors is used to convert the output of w1find into configuration for w1retap. It can read from stdin or a FILE and can output to STDOUT or a file with the -o option. By default it outputs SQL statements that insert the sensor configuration into a w1retap database. Alternatively with the -f option it will output file based configuration.

OPTIONS

-?, --help
    Show help options

-f, --file-based-config
    Output file type w1reftap configuration rather than SQL

-o, --output
    Output to file

EXAMPLE

    • $ sudo -u w1retap w1find /dev/ttyUSBS0 | w1sensors | psql w1retap

    • $ w1find DS2490-1 | w1sensors -f | tee -a /etc/w1retap-sensors.dat

EXIT STATUS

0
    Returns 0

SEE ALSO

w1find(1), w1retap(1)

RESOURCES

    • /usr/share/doc/w1retap-doc/w1retap.odt

    • http://www.zen35309.zen.co.uk/wx/tech.html

AUTHOR

This manual page was written by Thomas Stewart <thomas@stewarts.org.uk> for the Debian GNU/Linux system (but may be used by others). Permission is granted to modify and distribute this manpage under the terms of GNU General Public Licence version 2 or (at your opinion) any later version.